Package org.eclipse.rdf4j.queryrender.builder

## Class UnionBuilder<T extends ParsedQuery,​E extends SupportsGroups>

- java.lang.Object
- - org.eclipse.rdf4j.queryrender.builder.UnionBuilder<T,​E>

- All Implemented Interfaces:
    `Group`, `SupportsExpr`, `SupportsGroups<UnionBuilder<T,​E>>`

      @Deprecated
      public class UnionBuilder<T extends ParsedQuery,​E extends SupportsGroups>
      extends Object
      implements SupportsGroups<UnionBuilder<T,​E>>, Group

  Deprecated.
  use `SparqlBuilder` instead.

  Builder class for creating Unioned groups

  Author:
    Michael Grove

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnionBuilder​(GroupBuilder<T,​E> theParent)` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChild​(Group theGroup)` | Deprecated.
    `UnionBuilder<T,​E>` | `addGroup​(Group theGroup)` | Deprecated. Add this group from the query
    `GroupBuilder<T,​E>` | `closeUnion()` | Deprecated. Close this union and return it's parent group builder.
    `TupleExpr` | `expr()` | Deprecated.
    `boolean` | `isOptional()` | Deprecated.
    `GroupBuilder<T,​UnionBuilder<T,​E>>` | `left()` | Deprecated. Return a builder for creating the left operand of the union
    `UnionBuilder<T,​E>` | `removeGroup​(Group theGroup)` | Deprecated. Remove this group from the query
    `GroupBuilder<T,​UnionBuilder<T,​E>>` | `right()` | Deprecated. Return a builder for creating the right operand of the union
    `int` | `size()` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UnionBuilder

          public UnionBuilder​(GroupBuilder<T,​E> theParent)

      Deprecated.

  - ### Method Detail

    - #### left

          public GroupBuilder<T,​UnionBuilder<T,​E>> left()

      Deprecated.
      Return a builder for creating the left operand of the union
      Returns:
        builder for left operand

    - #### right

          public GroupBuilder<T,​UnionBuilder<T,​E>> right()

      Deprecated.
      Return a builder for creating the right operand of the union
      Returns:
        builder for right operand

    - #### closeUnion

          public GroupBuilder<T,​E> closeUnion()

      Deprecated.
      Close this union and return it's parent group builder.
      Returns:
        the parent builder

    - #### size

          public int size()

      Deprecated.
      Specified by:
        `size` in interface `Group`

    - #### addGroup

          public UnionBuilder<T,​E> addGroup​(Group theGroup)

      Deprecated.
      Add this group from the query
      Specified by:
        `addGroup` in interface `SupportsGroups<T extends ParsedQuery>`
      Parameters:
        `theGroup` - the group to add
      Returns:
        this builder

    - #### removeGroup

          public UnionBuilder<T,​E> removeGroup​(Group theGroup)

      Deprecated.
      Remove this group from the query
      Specified by:
        `removeGroup` in interface `SupportsGroups<T extends ParsedQuery>`
      Parameters:
        `theGroup` - the group to remove
      Returns:
        this builder

    - #### addChild

          public void addChild​(Group theGroup)

      Deprecated.
      Specified by:
        `addChild` in interface `Group`

    - #### expr

          public TupleExpr expr()

      Deprecated.
      Specified by:
        `expr` in interface `SupportsExpr`

    - #### isOptional

          public boolean isOptional()

      Deprecated.
      Specified by:
        `isOptional` in interface `Group`